Stellaris

Stellaris

28 ratings
(-New Ship Classes & More Legacy-)
 
Rate  
Favorite
Favorited
Unfavorite
File Size
Posted
285.116 MB
Mar 3 @ 3:47pm
1 Change Note ( view )

Subscribe to download
(-New Ship Classes & More Legacy-)

Subscribed
Unsubscribe
Description





Looking for the version of NSC that is compatible with Stellaris 2.0? Head over here: http://steamcommunity.com/sharedfiles/filedetails/?id=683230077



This mod adds new ship classes and many new features to the game. These changes affect all vanilla playable races in the game, and the AI will use all the new ship classes in the same way that the player can.


  • New Ship Classes: Strike Cruiser, Battlecruiser, Light Carrier, Carrier, Dreadnought, Superdreadnought, Flagship, Construction Cruiser, Science Cruiser.
  • New Station Classes: Headquarters Station, Sensor Station, Battle Fortress, Power Station, Mining Base, Drydock.
  • 18 New Playable Races: AI, Ancients, Pirates, Swarm, 7 Unbidden Colors, 6 Fallen Empire Types, and a new made-from-scratch race called Creatures of the Void.
  • Playable Guardians: Allows the player to summon their own Guardian/Leviathan (if they have purchased the Leviathans DLC).
  • And Much More: Hundreds of other tweaks and changes to improve the gameplay experience.


Before using this mod, it is HIGHLY recommended that you read the Official Mod Guide website. This site has everything that you need to know about the mod and how the new features work.

New Ship Classes & More Legacy Official Mod Guide: http://legacy.nscmod.com



You can join our server and chat with us live in our Lounge, or post ideas and suggestions for us to read! Simply head to the link below to join.

Join the Modding Community: https://discord.gg/K9jUfws



  • IMPORTANT: This mod requires the UI Overhaul 1080p mod in order for the 5-section Flagship to display properly in the ship designer. If you don't care about how the UI looks in the ship designer, you can use this mod alone with no issues.

  • HOW TO RESET NSC: If your copy of the mod is not working properly, delete this entire folder from your PC: Steam\SteamApps\workshop\content\281990\1319665664 and then unsubscribe and resubscribe to the mod. Verify that Steam is downloading the mod, and then try to run again. You may have to repeat this step a few times to get it working. This is becoming a common problem with Steam and we cannot fix it from our end.



  • If you're having a problem with the mod, the first step is to read the Frequently Asked Questions posted on the mod website. This FAQ answers roughly 90% of the issues posted in the comments. Read this page first before posting your question: http://legacy.nscmod.com/mod-faqs/

  • If your issue is not answered on that page, the quickest way to get an answer is to join the Tech Support channel on the NSC Discord here: https://discord.gg/WZq386r

  • You can also post your question in the Comments section below, although it may take longer for a response. Be aware that if you're asking a question that is already answered on the FAQ page linked above, you'll be directed there to read it.

Copyright 2017 T. Graham. This item is not authorized for posting on Steam, except under the Steam account named CaptainX3. All Rights Reserved.
< >
10 Comments
CaptainX3  [author] Jul 3 @ 10:45pm 
FerrusPugnum Jul 3 @ 8:27pm 
i used this mod before the updates and patches and it was a hell of a lot of fun, Thanks for the work put into i and I like others are sad to hear it has been retired. Great work and hopefully something new to come.
Ichi Jun 19 @ 3:45am 
I needed this so bad THANK YOU !!! <3
Freely May 28 @ 3:54pm 
Thankyou for keeping a 1.9 version... I'd be lost without this mod.
Mindlessmrawesome Apr 20 @ 8:40pm 
Oh ok XD
CaptainX3  [author] Apr 20 @ 8:24pm 
If you want to play NSC on 2.0, go here: http://steamcommunity.com/sharedfiles/filedetails/?id=683230077
Mindlessmrawesome Apr 20 @ 7:57pm 
HMMMMMMMM..........?

Sad to see it go. I used to never play stellaris without this mod, but now I cannut plai because I am 2 lazi
Ketana Mar 15 @ 3:14pm 
I'm curently in 1.9.1, the vanilla game works but when i want to load NSC legacy i got black screen and instant crash. Please save me
CaptainX3  [author] Mar 4 @ 2:55pm 
This is the old version of NSC. Don't use this if you're on Stellaris 2.0. The comments section on the current version of NSC has a lot of discussion about the DLC requirement.
shadowworks818 Mar 4 @ 2:54pm 
Honestly, I must ask if you could make a version of NCS without Apocalypse needed, I love the mod but I just cant afford the DLC rn, I understand completely if you wont and thats fine though, I just had to ask.